> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Openai Models



## OpenAPI

````yaml /openapi/openai.json get /openai/models
openapi: 3.0.0
info:
  title: OpenAI generation
  version: 1.0.0
  description: API reference for OpenAI generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /openai/models:
    get:
      summary: Openai Models
      operationId: OpenaigetOpenaiModels
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Openai Models Param Accept
      responses:
        '200':
          description: Openai Models Response 200
          content:
            application/json:
              schema:
                type: object
                required:
                  - object
                  - data
                properties:
                  object:
                    type: string
                    enum:
                      - list
                    description: Openai Models Response 200 Object
                  data:
                    type: array
                    description: Openai Models Response 200 Data
                    items:
                      type: object
                      required:
                        - id
                        - object
                        - created
                        - owned_by
                      properties:
                        id:
                          type: string
                          description: Openai Models Response 200 Data Id
                        object:
                          type: string
                          enum:
                            - model
                          description: Openai Models Response 200 Data Object
                        created:
                          type: integer
                          description: Openai Models Response 200 Data Created
                        owned_by:
                          type: string
                          description: Openai Models Response 200 Data Owned By
                  models:
                    type: array
                    description: Openai Models Response 200 Models
                    items:
                      type: object
                      required:
                        - slug
                        - display_name
                        - description
                        - supported_reasoning_levels
                        - shell_type
                        - visibility
                        - supported_in_api
                        - priority
                        - availability_nux
                        - upgrade
                        - base_instructions
                        - support_verbosity
                        - default_verbosity
                        - apply_patch_tool_type
                        - truncation_policy
                        - supports_parallel_tool_calls
                        - experimental_supported_tools
                      properties:
                        slug:
                          type: string
                          description: Openai Models Response 200 Models Slug
                        display_name:
                          type: string
                          description: Openai Models Response 200 Models Display Name
                        description:
                          type: string
                          nullable: true
                          description: Openai Models Response 200 Models Description
                        default_reasoning_level:
                          type: string
                          nullable: true
                          description: >-
                            Openai Models Response 200 Models Default Reasoning
                            Level
                        supported_reasoning_levels:
                          type: array
                          description: >-
                            Openai Models Response 200 Models Supported
                            Reasoning Levels
                          items:
                            type: object
                            required:
                              - effort
                              - description
                            properties:
                              effort:
                                type: string
                              description:
                                type: string
                        shell_type:
                          type: string
                          description: Openai Models Response 200 Models Shell Type
                        visibility:
                          type: string
                          enum:
                            - list
                            - hide
                            - none
                          description: Openai Models Response 200 Models Visibility
                        supported_in_api:
                          type: boolean
                          description: Openai Models Response 200 Models Supported In Api
                        priority:
                          type: integer
                          description: Openai Models Response 200 Models Priority
                        availability_nux:
                          type: object
                          nullable: true
                          additionalProperties: false
                        upgrade:
                          type: object
                          nullable: true
                          additionalProperties: false
                        base_instructions:
                          type: string
                          description: Openai Models Response 200 Models Base Instructions
                        support_verbosity:
                          type: boolean
                        default_verbosity:
                          type: string
                          nullable: true
                        apply_patch_tool_type:
                          type: string
                          nullable: true
                        truncation_policy:
                          type: object
                          required:
                            - mode
                            - limit
                          properties:
                            mode:
                              type: string
                            limit:
                              type: integer
                        supports_parallel_tool_calls:
                          type: boolean
                        experimental_supported_tools:
                          type: array
                          items:
                            type: string
                        input_modalities:
                          type: array
                          description: Openai Models Response 200 Models Input Modalities
                          items:
                            type: string
                            enum:
                              - text
                              - image
              example:
                object: list
                data:
                  - id: gpt-6-astra
                    object: model
                    created: 1700000000
                    owned_by: acedatacloud
                models:
                  - slug: gpt-6-astra
                    display_name: gpt-6-astra
                    description: Openapi.Df57157E2A4F43F6870Bfd3C530827E6.0.396Dd1E4674B
                    default_reasoning_level: medium
                    supported_reasoning_levels:
                      - effort: low
                        description: >-
                          Openapi.Df57157E2A4F43F6870Bfd3C530827E6.0.C863587Ab520
                      - effort: medium
                        description: >-
                          Openapi.Df57157E2A4F43F6870Bfd3C530827E6.1.67316022E8E4
                      - effort: high
                        description: >-
                          Openapi.Df57157E2A4F43F6870Bfd3C530827E6.2.0De652Da8155
                    shell_type: shell_command
                    visibility: list
                    supported_in_api: true
                    priority: 70
                    availability_nux: null
                    upgrade: null
                    base_instructions: You are a coding agent working in the user repository.
                    support_verbosity: false
                    default_verbosity: null
                    apply_patch_tool_type: freeform
                    truncation_policy:
                      mode: tokens
                      limit: 10000
                    supports_parallel_tool_calls: true
                    experimental_supported_tools: []
                    input_modalities:
                      - text
                      - image
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Openai Models Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Openai Models Response 401 Error Message
                      trace_id:
                        type: string
                        description: Openai Models Response 401 Trace Id
          description: Openai Models Response 401
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Openai Models Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Openai Models Response 429 Error Message
                      trace_id:
                        type: string
                        description: Openai Models Response 429 Trace Id
          description: Openai Models Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Openai Models Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Openai Models Response 500 Error Message
                      trace_id:
                        type: string
                        description: Openai Models Response 500 Trace Id
          description: Openai Models Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````